﻿<!-- 
    1. Среди трех чисел найти среднее арифметическое. Если среди чисел есть равные, вывести сообщение "Ошибка". Числа принять от пользователя.

    2. Построить прямоугольный треугольник состоящий из символа "*".

    3. Определить какое из трех, введенных пользователем, чисел максимальное и вывести его на экран.

    4. Дано два числа A и B где (A<B). 
    Выведите на экран суму всех чисел расположенных в числовом промежутке от А до В. 
    Выведите на экран все нечетные значения, расположенные в числовом промежутке от А до В. 


    5. Вывести на экран ряд чисел Фибоначчи, состоящий из n элементов (n принять от пользователя).
       Числа Фибоначчи – это элементы числовой последовательности, в которой каждое последующее число равно сумме двух предыдущих.

    6. Вывести на экран таблицу умножения от 0 до 9.   
--->
<!--
//Andriy Andrusevych
//IT Generation
//JS Homework 1
-->
<!DOCTYPE html>
<html xmlns="http://www.w3.org/1999/xhtml">

<head>
    <title>JS Homework 2</title>
    <script type="text/javascript">
        //Task 1

        var a = +prompt('Enter a');
        var b = +prompt('Enter b');
        var c = +prompt('Enter c');
        if (a == b || a == c || b == c) {
            document.write('Error');
        } else {
            document.write('Mean is: ' + (a + b + c) / 3);
        }

        //Task 2

        var a = "*";
        var b = a;
        for (i = 0; i < 20; i++) {
            document.write(a + "<br>");
            a = a + b;
        }

        //Task 3

        var a = +prompt('Enter a');
        var b = +prompt('Enter a');
        var c = +prompt('Enter a');
        if (a > b) {
            b = a;
        };
        if (b > c) {
            document.write('The biggest number is ' + b + '<br>');
        } else {
            document.write('The biggest number is ' + c + '<br>');
        };

        //Task 4

        var a = 10;
        var b = 40;
        var sum = 0;
        //sum of all numbers within range
        do {
            sum += a;
            a++;
        }
        while (a <= b);
        document.write('Sum= ' + sum + '<br>');
        //sum of odd numbers within range
        var a = 10;
        var b = 40;
        sum = 0;
        while (a <= b) {
            if (!a % 2 == 0) {
                sum += a;
                a++;
            };
            a++;
        }
        document.write('Sum of odd numbers= ' + sum + '<br>');

        //Task 5

        var n = +prompt('Enter n (must be =>2)');
        var i = 1;
        var n1 = 0;
        var n2 = 1;
        var f = n1 + n2;
        if (n < 2) {
            document.write('Wrong range (n)!');

        } else {
            document.write(n1 + ', ');
            document.write(n2) + ', ';
            while (i <= n) {
                f = n1 + n2;
                document.write(', ' + f);
                n1 = n2;
                n2 = f;
                i++;
            }
        }
        //Task6

        var x = 1;
        while (x <= 9) {
            var y = 0;
            while (y <= 9) {
                document.write(x + ' * ' + y + ' = ' + (x * y) + '<br>');
                y++;
            };
            document.write('<br>')
            x++;
        }

    </script>
</head>

<body>
</body>

</html>